echo "================================";
echo "           Ktalog.sh            ";
echo "================================";

echo "quel Devices ?" ; 

ls /dev/sd* | grep -v "a" ;
 echo -n "Partition : "; read partition;

echo ""; echo "vous avez choisi la partition : $partition";

echo ""; echo " Dans quel repertoire voulez vous la monter ?";
 ls /mnt/; 
 echo " Repertoire (0,1,2,3) : "; read rep;

val=$?

case $val in

0)
(echo "10" ; sleep 3 ;

echo "XXX";
echo "Envoi d'un token sur la partoche"
./mnt/unlock /dev/$part
sleep 3;
echo "\\n"
echo "Token [OK]";
echo "XXX";
echo "20"
sleep 3;

echo "XXX";
echo "Montage de la partition..."
mount /dev/$partition /mnt/$rep
echo "\n" 
sleep 1
echo "Montage [OK]"
echo "XXX"
echo "30"
sleep 2


echo "55" ; sleep 3
echo "XXX"
rm -v /mnt/$rep/Data/catalog_date.xml 
echo "Catalogue_Date.xml foutu en l'air :D"
echo "XXX"
echo "75";
sleep 2
echo "XXX"
echo "Catalogue MP reinitialise\nVous pouvez commencer les chargements"
echo "XXX"
echo "100" 
sleep 1
echo "XXX") | \

dialog --backtitle "Script Ktalog v2.3" --title "Moovyplay Diagnostic" --gauge "Affection du device\n\nxPreparation au traitement..." 10 50 0
;;
1)
 
dialog --infobox " tu l'a dans le pet" 0 0 
;;
esac
